<div class="grid-container">
  <h1 class="mat-h1">Dashboard</h1>
  <button mat-button color="primary" (click)="openCreateDialog()">Nouvelle session</button>
  <mat-grid-list cols="2" rowHeight="350px">
    <mat-grid-tile *ngFor="let serie of series">
      <mat-card class="dashboard-card">
        <mat-card-header>
          <mat-card-title>
            {{serie.date}}
            <button mat-icon-button class="more-button" [matMenuTriggerFor]="menu" aria-label="Toggle menu">
              <mat-icon>more_vert</mat-icon>
            </button>
            <mat-menu #menu="matMenu" xPosition="before">
              <a mat-menu-item [routerLink]="['/serie', serie.id]">Modifer</a>
              <button mat-menu-item (click)="onDeleteSerieClick(serie.id)">Supprimer</button>
            </mat-menu>
          </mat-card-title>
        </mat-card-header>
        <mat-card-content class="dashboard-card-content">
          <div>Card Content Here</div>
        </mat-card-content>
      </mat-card>
    </mat-grid-tile>
  </mat-grid-list>
</div>
